<div *ngIf="userInfo" class="user-info">
  <div class="user-info-block">
    <div class="close" (click)="showUserInfo()"></div>
    <div class="user-info-photo">
      <img src="{{image}}" alt="users photo" class="user-info-avatar">
    </div>
    <div class="user-info-username">
      <div *ngIf="!fieldUsername"><i>{{username}}</i></div>
      <button *ngIf="!fieldUsername" (click)="changeUsername()">edit</button>
      <form *ngIf="fieldUsername" action="" [formGroup]="form" (ngSubmit)="getValueUsername(form)">
        <input placeholder="{{username}}" type="text" formControlName="username">
        <button type="submit">✓</button>
        <div (click)="fieldUsername = !fieldUsername" class="cancel-form">х</div>
      </form>
    </div>
    <div class="user-info-logout-and-delete">
      <button (click)="logOut()" class="user-info-logout">log out</button>
      <button class="user-info-delete" (click)="deleteUserAccount()">Delete account</button>
    </div>
  </div>
</div>
<header>
  <div class="header-block">
    <div class="header-title">
      <p>Task Manager</p>
    </div>
    <div *ngIf="isAuth" class="header-account" (click)="showUserInfo()">
      <p>{{username}}</p>
      <img src="{{image}}" alt="" class="header-account-avatar">
    </div>
  </div>
</header>
